Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.controller
Class Log4jLoggingAdapter

    java.lang.Object
      org.apache.torque.generator.configuration.controller.Log4jLoggingAdapter

All Implemented Interfaces:
  LoggingAdapter

    public class Log4jLoggingAdapter

extends Object
implements LoggingAdapter

Allows reading and setting the current loglevel using log4j.

Version:
  $Id: Log4jLoggingAdapter.java 1446086 2013-02-14 09:46:57Z tfischer $

Constructor Summary
`Log4jLoggingAdapter()`

Method Summary
`Loglevel` | `getCurrentLoglevel()` Returns the current loglevel by reading the loglevel of the root logger.
`void` | `setLoglevel(Loglevel loglevel)` Sets the loglevel to the given loglevel by changing the level of the log4j root logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jLoggingAdapter

    public Log4jLoggingAdapter()

Method Detail

### getCurrentLoglevel

    public Loglevel getCurrentLoglevel()

  Returns the current loglevel by reading the loglevel of the root logger.

  Specified by:
    `getCurrentLoglevel` in interface `LoggingAdapter`
  Returns:
    the current loglevel, or INFO if the current loglevel cannot be determined.

### setLoglevel

    public void setLoglevel(Loglevel loglevel)

  Sets the loglevel to the given loglevel by changing the level of the log4j root logger.

  Specified by:
    `setLoglevel` in interface `LoggingAdapter`
  Parameters:
    `loglevel` - the loglevel to set, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.